### Introduction

**Parcon** is a parser library written by Alexander Boyd. It's designed to be fast, easy to use, easy to learn, and to provide informative error messages.

**Pargen**, which is provided as a submodule of Parcon, is a formatter
library. It's much the opposite of Parcon: while Parcon is used to parse text
into various objects, Pargen is used to format objects into text. As an
example, if you wanted to reimplement Python's json module, you would use
Parcon to implement json.loads and Pargen to implement json.dumps.

**Static**, which is also provided as a submodule of Parcon, is a static typing
library and Python object pattern library. It lets you build patterns that
match Python objects based on their type, their attributes, certain properties
such as whether or not the object is a sequence, the types that make up the
object's values if the object is a sequence, and so on.

### Donations

Parcon is developed by Alex, a student who develops Parcon on time that could otherwise be spent working at his job to earn money to pay for college. Donations are therefore greatly appreciated.

<table border="0" cellspacing="0" cellpadding="0" width="100%">
	<tr>
		<td align="center">
			<a href="parcon-donate.html"><img src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif" style="border: 0px solid none"/></a>
		</td>
	</tr>
</table>

### Download

See <a href="parcon-download.html">the downloads page</a> for information on how to download/install Parcon, Pargen, and Static.

### Documentation

The main source of doumentation for Parcon is its <a href="parcon.html">module documentation</a>. The same is true for <a href="parcon.pargen.html">Pargen</a> and <a href="parcon.static.html">Static</a>, although they're not quite as well documented as Parcon is.

### Blog

<a href="http://blog.parcon.opengroove.org">The Parcon Blog</a> is Parcon's official blog.

### Examples

Parcon examples are provided in Parcon's <a href="parcon.html">module documentation</a> and on <a href="http://blog.parcon.opengroove.org">The Parcon Blog</a>.

### Source

Parcon is open-source, released under the terms of the GNU Lesser General Public License. Source code is available on GitHub <a href="https://github.com/javawizard/Parcon">here</a>.





































